diff -u -urN iplogger/icmplog.c iplogger.te/icmplog.c
--- iplogger/icmplog.c	2003-02-13 01:57:50.000000000 +0100
+++ iplogger.te/icmplog.c	2004-12-23 16:16:40.000000000 +0100
@@ -23,6 +23,7 @@
 
 int go_background(void);
 char *hostlookup(unsigned long int);
+char *hostiplookup(unsigned long int);
 
 struct ippkt
 {
@@ -100,7 +101,7 @@
 {
   int s;
   int i;
-  char host1[1024], host2[1024];
+  char host1[1024], host2[1024], host1ip[1024], host2ip[1024];
   char hostname[2200];
   char code_txt[25];
 
@@ -122,7 +123,10 @@
         {
           strcpy(host1, hostlookup(pkt.ip.saddr));
           strcpy(host2, hostlookup(pkt.ip.daddr));
-          sprintf(hostname,"%s -> %s", host1, host2);
+          strcpy(host1ip, hostiplookup(pkt.ip.saddr));
+          strcpy(host2ip, hostiplookup(pkt.ip.daddr));
+
+          sprintf(hostname,"%s (%s) -> %s (%s)", host1, host1ip, host2, host2ip);
         }
 #else
         sprintf(hostname,"%08X -> %08X",
@@ -130,7 +134,7 @@
                 pkt.ip.daddr);
 #endif
       else
-        sprintf(hostname,"%s", hostlookup(pkt.ip.saddr));
+        sprintf(hostname,"%s (%s)", hostlookup(pkt.ip.saddr), hostiplookup(pkt.ip.saddr));
       if (pkt.icmp.code != 0)
         sprintf(code_txt," (code %d)", pkt.icmp.code);
       else
@@ -206,3 +210,10 @@
   if(he == NULL) return inet_ntoa(i);
   else return he->h_name;
 }
+
+char *hostiplookup(unsigned long int in)
+{
+  struct in_addr i;
+  i.s_addr=in;
+  return inet_ntoa(i);
+}
diff -u -urN iplogger/tcplog.c iplogger.te/tcplog.c
--- iplogger/tcplog.c	2003-02-13 01:58:04.000000000 +0100
+++ iplogger.te/tcplog.c	2004-12-23 16:18:57.000000000 +0100
@@ -23,6 +23,7 @@
 
 int go_background(void);
 char *hostlookup(unsigned long int);
+char *hostiplookup(unsigned long int);
 char *servlookup(unsigned short);
 
 struct ippkt
@@ -85,14 +86,15 @@
 	{
 	  if(ntohs(pkt.tcp.source) == 20 && ntohs(pkt.tcp.dest) < 1024)
 	    {
-	      syslog(LOG_NOTICE, "FTPBounce attack detected (%s)",
-                     hostlookup(pkt.ip.saddr));
+	      syslog(LOG_NOTICE, "FTPBounce attack detected (%s, %s)",
+                     hostlookup(pkt.ip.saddr), hostiplookup(pkt.ip.saddr));
 	      continue;
 	    }
 	  if(ntohs(pkt.tcp.source) != 20)
-	    syslog(LOG_NOTICE, "%s connection attempt from %s",
+	    syslog(LOG_NOTICE, "%s connection attempt from %s (%s)",
 		   servlookup(pkt.tcp.dest),
-                   hostlookup(pkt.ip.saddr));
+                   hostlookup(pkt.ip.saddr),
+                   hostiplookup(pkt.ip.saddr));
 	}
     }
 }
@@ -108,6 +110,12 @@
   else return he->h_name;
 }
 
+char *hostiplookup(unsigned long int in)
+{
+  struct in_addr i;
+  i.s_addr=in;
+  return inet_ntoa(i);
+} 
 
 char *servlookup(unsigned short port)
 {
